LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XMaterialHolder Interface Referencepublished

gives access to the material a (tool-) object is working on. More...

`import"XMaterialHolder.idl";`

Inheritance diagram for XMaterialHolder:

## Public Member Functions
any | getMaterial ()
| returns the material that is connected to this (tool-) object More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the material a (tool-) object is working on.

Example: The introspection service allows the inspection of an object's properties and methods. The result is represented as XIntrospectionAccess interface. The inspected object then is the material attached to the introspection tool and an implementation of XIntrospectionAccess should also support XMaterialHolder to give access to this material.

See also
  XIntrospectionAccess

## Member Function Documentation

## ◆ getMaterial()

any getMaterial | ( |  | ) |

returns the material that is connected to this (tool-) object

Returns
  the material that is connected to this (tool-) object.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XMaterialHolder.idl